.{
 ************************************************************************************************************
 *                                                                                                          *
 *  AUTO-RECOVER NOTICE: This file was automatically recovered from an earlier Propeller Tool session.      *
 *                                                                                                          *
 *  ORIGINAL FOLDER:     C:\...\Christof\Eigene Dateien\Progr_Basteln\Propeller\ssp small SmallC for Prop\  *
 *  TIME AUTO-SAVED:     over 2 days ago (25.03.2007 12:31:19)                                              *
 *                                                                                                          *
 *  OPTIONS:             1)  RESTORE THIS FILE by deleting these comments and selecting File -> Save.       *
 *                           The existing file in the original folder will be replaced by this one.         *
 *                                                                                                          *
 *                           -- OR --                                                                       *
 *                                                                                                          *
 *                       2)  IGNORE THIS FILE by closing it without saving.                                 *
 *                           This file will be discarded and the original will be left intact.              *
 *                                                                                                          *
 ************************************************************************************************************
.}
' DEBUG_LCD Modified by Christof Eberspcher -

CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

  LCD_PIN   = 9                                         ' for Parallax 4x20 serial LCD on P0
  LCD_BAUD  = 19_200
  LCD_LINES = 4



  
OBJ

        lcd : "debug_lcd"
        ssp : "TstBuf"
Var

  long  Stack[20]             'Stack space for new cog
  long  sp                    ' Stack pointer of Small Small C
  long data
  long count
  long bufbas
  long S2CBas, C2SBas                   ' Pointer to Commonblock 
  
PUB main 

  data:= 5
  lcd.start(LCD_PIN, LCD_BAUD, LCD_LINES)            ' start lcd
  lcd.cursor(1)                                       ' cursor off
  lcd.backLight(true)                                 ' backlight on (if available)
  lcd.cls                                             ' clear the lcd
  lcd.str(string("Propeller d ", 13))

  sp:=-8+ssp.Start


  bufbas:= ssp.GTBUF
  S2CBas:= ssp.GtS2C
  C2SBas:= ssp.GtC2S

  long[bufbas][0]:=0

  'ShowBUF
  'ShowS2C
  ShowC2S
  ShowSP


PUB ShowC2S
  lcd.gotoxy(13,0)
  lcd.decf(C2SBas,2) 
  repeat
    waitcnt(cnt+10_000_000)
    lcd.gotoxy(1,1)
    data:= long[C2SBas][0]
    lcd.decf(data,8)
    'waitcnt(cnt+1_000_000)
     
    lcd.gotoxy(10,1)
    data:= long[C2SBas][1]
    lcd.decf(data,8)
    
    lcd.gotoxy(1,2)
    data:= long[C2SBas][2]
    lcd.decf(data,8) 

    lcd.gotoxy(10,2)
    data:= long[C2SBas][3]
    lcd.decf(data,8) 
    
    lcd.gotoxy(1,3)
    data:= long[C2SBas][4]
    lcd.decf(data,8) 

    lcd.gotoxy(10,3)
    data:= long[C2SBas][5]
    lcd.decf(data,8)



PUB ShowS2C
  lcd.gotoxy(13,0)
  lcd.decf(S2CBas,2) 
  repeat
    waitcnt(cnt+10_000_000)
    lcd.gotoxy(1,1)
    data:= long[S2CBas][0]
    lcd.decf(data,8)
    'waitcnt(cnt+1_000_000)
     
    lcd.gotoxy(10,1)
    data:= long[S2CBas][1]
    lcd.decf(data,8)
    
    lcd.gotoxy(1,2)
    data:= long[S2CBas][2]
    lcd.decf(data,8) 

    lcd.gotoxy(10,2)
    data:= long[S2CBas][3]
    lcd.decf(data,8) 
    
    lcd.gotoxy(1,3)
    data:= long[S2CBas][4]
    lcd.decf(data,8) 

    lcd.gotoxy(10,3)
    data:= long[S2CBas][5]
    lcd.decf(data,8)



  
PUB ShowSP
  lcd.gotoxy(13,0)
  lcd.decf(sp,2) 
  repeat
    waitcnt(cnt+10_000_000)
    lcd.gotoxy(1,1)
    data:= long[sp][0]
    lcd.decf(data,8)
    'waitcnt(cnt+1_000_000)
     
    lcd.gotoxy(10,1)
    data:= long[sp][-10]
    lcd.decf(data,8)
    
    lcd.gotoxy(1,2)
    data:= long[sp][-9]
    lcd.decf(data,8) 

    lcd.gotoxy(10,2)
    data:= long[sp][-8]
    lcd.decf(data,8) 
    
    lcd.gotoxy(1,3)
    data:= long[sp][-7]
    lcd.decf(data,8) 

    lcd.gotoxy(10,3)
    data:= long[sp][-6]
    lcd.decf(data,8)
    'long[sp][1]++


PUB ShowBuf
  lcd.gotoxy(13,0)
  lcd.decf(bufbas,2) 
  repeat
    waitcnt(cnt+10_000_000)
    lcd.gotoxy(1,1)
    data:= long[bufbas][0]
    lcd.decf(data,8)
    'waitcnt(cnt+1_000_000)
     
    lcd.gotoxy(10,1)
    data:= long[bufbas][1]
    lcd.decf(data,8)
    
    lcd.gotoxy(1,2)
    data:= long[bufbas][2]
    lcd.decf(data,8) 

    lcd.gotoxy(10,2)
    data:= long[bufbas][3]
    lcd.decf(data,8) 
    
    lcd.gotoxy(1,3)
    data:= long[bufbas][4]
    lcd.decf(data,8) 

    lcd.gotoxy(10,3)
    data:= long[bufbas][5]
    lcd.decf(data,8)

    long[bufbas][0]++
    
 