/* Test1.c for SSP Small SmallC for Prop*/
/* 13 kHz at bit 7 */

/* spin code is in #asm # endasm ====================================== */
#asm
CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

VAR
	long	parameter
	long	stack[500]
	
PUB Start_SSP
	SP := @stack
	cognew(@asm_entry,@parameter)

DAT
asm_entry	ORG
			JMP # Main
	
			P  long	;/* Primary Register */
			S  long ;/* Second Register */
			SP long ;/* Stack increment after wr  */
			BP long ;/* aux reg */
			CL long ;/* aux reg */
#endasm

extern int ina, outa, dira, cnt;

/* Variables ===================================== */
char c_char=3; /* all vars are longs!!! */

int c_outb=255;	/*constants marked with c_*/

int v_count=0; 



/* Functions ======================================*/

void Fun()
{
	v_count++;
	outa=v_count;
}


void Main() /* -------------- */
{
	dira=c_outb;	/* low byte output */
	
	Fun();
	
	for(;;)
		{
				outa=v_count++;
		}
		
  	
}


	

/* EndCode ===================================== */
#asm
	FIT
#endasm
